#
# spec file for package xdmsc
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#Compat macro for new _fillupdir macro introduced in Nov 2017
%if ! %{defined _fillupdir}
  %define _fillupdir /var/adm/fillup-templates
%endif

Name:           xdmsc
PreReq:         fillup
Provides:       Xterminal
Version:        0.6
Release:        bp153.1.15
Url:            https://build.opensuse.org/package/show/X11:Utilities/xdmsc
Summary:        XTerminal -- Use SUSE Linux as an X Terminal
License:        GPL-2.0
Group:          System/X11/Utilities
Source:         Xterminal-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Some useful scripts for using SUSE Linux as an X terminal.

You will find the documentation in the following directory

/usr/share/doc/packages/xdmsc/


%prep
%setup -n Xterminal-%{version}

%build
    make -f Makefile.Linux compile

%install
    make -f Makefile.Linux DESTDIR=%{buildroot} ETCRCC=%{_fillupdir} install

%pre
%service_add_pre %{name}@.service

%post
%{fillup_only}
%service_add_post %{name}@.service

%preun
%service_del_preun %{name}@.service

%postun
%service_del_postun %{name}@.service

%files
%defattr(-,root,root)
%doc README COPYING
%{_unitdir}/xdmsc@.service
%dir /usr/lib/xdmsc/
%attr(0755,root,root) /usr/lib/xdmsc/rx
%{_fillupdir}/sysconfig.xdmsc

%changelog
* Wed Dec 20 2017 werner@suse.de
- Move forward to systemd based usage
* Tue Dec 19 2017 werner@suse.de
- Use the %%_fillupdir macro at installation time as well
* Thu Nov 23 2017 rbrown@suse.com
- Replace references to /var/adm/fillup-templates with new
  %%_fillupdir macro (boo#1069468)
* Wed Dec  7 2011 werner@suse.de
- I prefere GPL-2.0
* Tue Dec  6 2011 coolo@suse.com
- yast's license is GPLv2, which would require a COPYING, which is
  overkill for this package. So declare it MIT
* Wed Nov 25 2009 werner@suse.de
- Handle next new version strings of the X server of Xorg (bnc#537141)
* Mon Feb 19 2007 werner@suse.de
- Be X11R7 compatible (bug #246744)
* Fri Feb  9 2007 dmueller@suse.de
- build as non-root
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Nov 29 2005 werner@suse.de
- Handle new version strings of the X server of Xorg.
* Fri Jul  1 2005 werner@suse.de
- Make /etc/X11/xorg.conf the default X11 configuration
* Sun Oct 10 2004 schwab@suse.de
- Fix requires.
- Make noarch.
* Tue Sep  2 2003 kukuk@suse.de
- Add empty Command tag to prevent a SuSEconfig run [Bug #28962]
* Mon Jul 21 2003 werner@suse.de
- Fix bug #28089 : use full path for X server
* Fri Jun 13 2003 coolo@suse.de
- use BuildRoot
* Thu Mar 27 2003 werner@suse.de
- Change README (/etc/rc.config -> /etc/sysconfig/xdmsc)
* Fri Feb 28 2003 werner@suse.de
- Fix bug #22704: Add meta data to sysconfig file xdmsc
* Fri Aug 16 2002 werner@suse.de
- Add PreReq (bug #18017)
* Wed Jul  3 2002 werner@suse.de
- Use /etc/sysconfig/xdmsc (bug #16789)
* Fri Mar  1 2002 werner@suse.de
- New Xservers accept -class only after -query
* Mon Jan 14 2002 ro@suse.de
- variables moved to /etc/sysconfig/xdmsc
- START_ variable left here since this is not a regular
  initscript but started from inittab
* Fri Dec  8 2000 kukuk@suse.de
- Move sbin/init.d -> etc/init.d
* Mon Sep  4 2000 werner@suse.de
- Update to version 0.3
  * Use version of X server before using options
* Mon Jun  5 2000 ro@suse.de
- doc relocation
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jul  6 1998 werner@suse.de
- New release: Now only clients (e.g. xterminals) are supported.
* Sun Jun  1 1997 bs@suse.de
- moved fillup stuff to var/adm/fillup-templates
* Wed Apr 16 1997 werner@suse.de
- New package for xdm server and clients.
  - After configuratiuon ist is possible to start out of
    /etc/inittab for calling a chosser menu or a xdm window
    from a xdm server.
  - Usefull scripts to have a xdm server under S.u.S.E. Linux.
